Bug 1126936 - [GSS] (6.3.1) Upgrade IronJacamar 1.0.26.Final to 1.0.27.Final
Summary: [GSS] (6.3.1) Upgrade IronJacamar 1.0.26.Final to 1.0.27.Final
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.1
Assignee: Vaclav Tunka
QA Contact: Martin Simka
URL:
Whiteboard:
Depends On: JBJCA-1197 1130281 1130285 1130291 1130293 1130295 1130297 1130385
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1128902
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:54 UTC by jolee
Modified: 2018-12-06 17:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1130385 (view as bug list)
Environment:
Last Closed: 2014-10-13 18:37:33 UTC
Type: Component Upgrade


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBJCA-1199 Critical Closed Guard against ISE in TransactionSynchronizer 2017-10-10 12:53:54 UTC
JBoss Issue Tracker JBJCA-1200 Critical Closed CachedConnectionManager should only lock if needed 2017-10-10 12:53:55 UTC
Red Hat Bugzilla 1109691 None None None Never
Red Hat Bugzilla 1120892 None None None Never

Description jolee 2014-08-05 15:54:41 UTC
Description of problem:
  Please refer to:
   https://issues.jboss.org/browse/JBJCA-1199: Guard against ISE in TransactionSynchronizer
   https://issues.jboss.org/browse/JBJCA-1200: CachedConnectionManager should only lock if needed

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 jolee 2014-08-06 14:17:11 UTC
IRONJACAMAR_1_0_23_FINAL_BZ1126936

git+ssh://code.engineering.redhat.com/ironjacamar.git

commit 87f056f889a6210ee42b918674b546b361434828
Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
Date:   Mon Jul 28 15:56:51 2014 -0400

    BZ1126936: [JBJCA-1199] Use AltKey as fallback

commit 903589aa207fe33330a253a44cf4169a41e0e316
Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
Date:   Mon Jul 28 15:35:08 2014 -0400

    [JBJCA-1200] CachedConnectionManager should only lock if needed

commit c47d81403191dea0ad37769e0e49dd4fb91c4dbf
Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
Date:   Mon Jul 28 11:04:29 2014 -0400

    [JBJCA-1199] Guard against ISE in TransactionSynchronizer

Comment 2 jolee 2014-08-06 14:23:54 UTC
This information should be in the BZ representing the one-off patch. (FMI)

(In reply to jolee from comment #1)
> IRONJACAMAR_1_0_23_FINAL_BZ1126936
> 
> git+ssh://code.engineering.redhat.com/ironjacamar.git
> 
> commit 87f056f889a6210ee42b918674b546b361434828
> Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
> Date:   Mon Jul 28 15:56:51 2014 -0400
> 
>     BZ1126936: [JBJCA-1199] Use AltKey as fallback
> 
> commit 903589aa207fe33330a253a44cf4169a41e0e316
> Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
> Date:   Mon Jul 28 15:35:08 2014 -0400
> 
>     [JBJCA-1200] CachedConnectionManager should only lock if needed
> 
> commit c47d81403191dea0ad37769e0e49dd4fb91c4dbf
> Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
> Date:   Mon Jul 28 11:04:29 2014 -0400
> 
>     [JBJCA-1199] Guard against ISE in TransactionSynchronizer

Comment 5 JBoss JIRA Server 2014-08-12 13:00:39 UTC
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1200 to Closed

Comment 6 JBoss JIRA Server 2014-08-12 13:00:41 UTC
Jesper Pedersen <jpederse@redhat.com> updated the status of jira JBJCA-1199 to Closed

Comment 7 jolee 2014-08-12 14:32:48 UTC
R & D will be finalizing IJ 1.0.27 later this week, so no source code tag at the moment.

Comment 20 Martin Simka 2014-09-01 12:39:20 UTC
verified on EAP 6.3.1.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.